net.sf.jasperreports.engine.analytics.dataset

## Class BaseDataAxis

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseDataAxis

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DataAxis, JRCloneable
  Direct Known Subclasses:
    DesignDataAxis

      public class BaseDataAxis
      extends java.lang.Object
      implements DataAxis, java.io.Serializable

  Version:
    $Id: BaseDataAxis.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Axis` | `axis`
    `protected java.util.List<DataAxisLevel>` | `levels`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseDataAxis()`
    `BaseDataAxis(DataAxis dataAxis, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `Axis` | `getAxis()`
    `java.util.List<DataAxisLevel>` | `getLevels()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### axis

          protected Axis axis

    - #### levels

          protected java.util.List<DataAxisLevel> levels

  - ### Constructor Detail

    - #### BaseDataAxis

          public BaseDataAxis()

    - #### BaseDataAxis

          public BaseDataAxis(DataAxis dataAxis,
                      JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getAxis

          public Axis getAxis()

      Specified by:
        `getAxis` in interface `DataAxis`

    - #### getLevels

          public java.util.List<DataAxisLevel> getLevels()

      Specified by:
        `getLevels` in interface `DataAxis`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com